Page MenuHomePhabricator

Completion Suggester errors after elastic5 rollout
Closed, ResolvedPublic

Description

Errors seen in logstash:

Bad value for parameter $dbkey: invalid DB key 'The_Gospel_of_Jesus_Christ_Attributed_to_John_the_'

#0 /srv/mediawiki/php-1.29.0-wmf.16/includes/title/TitleValue.php(82): Wikimedia\Assert\Assert::parameter(boolean, string, string)
#1 /srv/mediawiki/php-1.29.0-wmf.16/includes/cache/LinkBatch.php(176): TitleValue->__construct(integer, string)
#2 /srv/mediawiki/php-1.29.0-wmf.16/includes/cache/LinkBatch.php(140): LinkBatch->addResultToCache(LinkCache, Wikimedia\Rdbms\ResultWrapper)
#3 /srv/mediawiki/php-1.29.0-wmf.16/includes/cache/LinkBatch.php(127): LinkBatch->executeInto(LinkCache)
#4 /srv/mediawiki/php-1.29.0-wmf.16/includes/search/SearchEngine.php(557): LinkBatch->execute()
#5 /srv/mediawiki/php-1.29.0-wmf.16/includes/search/SearchEngine.php(497): SearchEngine->processCompletionResults(string, SearchSuggestionSet)
#6 /srv/mediawiki/php-1.29.0-wmf.16/extensions/CirrusSearch/includes/CirrusSearch.php(639): SearchEngine->completionSearch(string)
#7 /srv/mediawiki/php-1.29.0-wmf.16/includes/api/ApiQueryPrefixSearch.php(54): CirrusSearch->completionSearchWithVariants(string)
#8 /srv/mediawiki/php-1.29.0-wmf.16/includes/api/ApiQueryPrefixSearch.php(41): ApiQueryPrefixSearch->run(ApiPageSet)
#9 /srv/mediawiki/php-1.29.0-wmf.16/includes/api/ApiPageSet.php(178): ApiQueryPrefixSearch->executeGenerator(ApiPageSet)
#10 /srv/mediawiki/php-1.29.0-wmf.16/includes/api/ApiPageSet.php(142): ApiPageSet->executeInternal(boolean)
#11 /srv/mediawiki/php-1.29.0-wmf.16/includes/api/ApiQuery.php(236): ApiPageSet->execute()
#12 /srv/mediawiki/php-1.29.0-wmf.16/includes/api/ApiMain.php(1543): ApiQuery->execute()
#13 /srv/mediawiki/php-1.29.0-wmf.16/includes/api/ApiMain.php(544): ApiMain->executeAction()
#14 /srv/mediawiki/php-1.29.0-wmf.16/includes/api/ApiMain.php(515): ApiMain->executeActionWithErrorHandling()
#15 /srv/mediawiki/php-1.29.0-wmf.16/api.php(83): ApiMain->execute()
#16 /srv/mediawiki/w/api.php(3): include(string)
#17 {main}

Seems to affect around 100 queries per minute.

Event Timeline

dcausse created this task.Mar 21 2017, 3:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2017, 3:19 PM

Looks like it affects redirects and the title seems truncated at 50 chars...

dcausse claimed this task.Mar 21 2017, 3:23 PM
dcausse triaged this task as High priority.

Change 343908 had a related patch set uploaded (by DCausse):
[mediawiki/extensions/CirrusSearch] CompSuggest: Increase default limit from 50 to 255

https://gerrit.wikimedia.org/r/343908

Change 343908 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch] CompSuggest: Increase default limit from 50 to 255

https://gerrit.wikimedia.org/r/343908

Change 343961 had a related patch set uploaded (by EBernhardson):
[operations/mediawiki-config] Turn completion suggester off until length error is fixed

https://gerrit.wikimedia.org/r/343961

Change 343962 had a related patch set uploaded (by EBernhardson; owner: DCausse):
[mediawiki/extensions/CirrusSearch] CompSuggest: Increase default limit from 50 to 255

https://gerrit.wikimedia.org/r/343962

Change 343961 merged by jenkins-bot:
[operations/mediawiki-config] Turn completion suggester off until length error is fixed

https://gerrit.wikimedia.org/r/343961

Mentioned in SAL (#wikimedia-operations) [2017-03-21T20:33:31Z] <ebernhardson@tin> Synchronized wmf-config/InitialiseSettings.php: T161001 Turn off completion suggester until length error is fixed (duration: 00m 44s)

To cut down on the log spam both in our dashboards and other teams, I've disabled the completion suggester. Will cherry-pick out the patch at 4pm swat and start a rebuild, completion suggester can be turned back on tomorrow morning.

Change 343962 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch] CompSuggest: Increase default limit from 50 to 255

https://gerrit.wikimedia.org/r/343962

debt closed this task as Resolved.May 30 2017, 5:32 PM